// Generated code

part of 'ibl_axd_pro.swagger.dart';

// **************************************************************************
// ChopperGenerator
// **************************************************************************

// ignore_for_file: always_put_control_body_on_new_line, always_specify_types, prefer_const_declarations, unnecessary_brace_in_string_interps
class _$IblAxdPro extends IblAxdPro {
  _$IblAxdPro([ChopperClient? client]) {
    if (client == null) return;
    this.client = client;
  }

  @override
  final definitionType = IblAxdPro;

  @override
  Future<Response<LLMCredential>> _apiAiAccountOrgsOrgCredentialGet(
      {required String? org}) {
    final Uri $url = Uri.parse('/api/ai/account/orgs/${org}/credential/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<LLMCredential, LLMCredential>($request);
  }

  @override
  Future<Response<LLMCredential>> _apiAiAccountOrgsOrgCredentialPost({
    required String? org,
    required LLMCredential? body,
  }) {
    final Uri $url = Uri.parse('/api/ai/account/orgs/${org}/credential/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<LLMCredential, LLMCredential>($request);
  }

  @override
  Future<Response<LLMCredential>> _apiAiAccountOrgsOrgCredentialPatch({
    required String? org,
    required PatchedLLMCredential? body,
  }) {
    final Uri $url = Uri.parse('/api/ai/account/orgs/${org}/credential/');
    final $body = body;
    final Request $request = Request(
      'PATCH',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<LLMCredential, LLMCredential>($request);
  }

  @override
  Future<Response<IBLAIPlatformMeta>> _apiAiAccountOrgsOrgPlatformMetadataGet(
      {required String? org}) {
    final Uri $url =
        Uri.parse('/api/ai/account/orgs/${org}/platform-metadata/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<IBLAIPlatformMeta, IBLAIPlatformMeta>($request);
  }

  @override
  Future<Response<IBLAIPlatformMeta>> _apiAiAccountOrgsOrgPlatformMetadataPost({
    required String? org,
    required IBLAIPlatformMeta? body,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/account/orgs/${org}/platform-metadata/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<IBLAIPlatformMeta, IBLAIPlatformMeta>($request);
  }

  @override
  Future<Response<IBLAIPlatformMeta>> _apiAiAccountOrgsOrgPlatformMetadataPut({
    required String? org,
    required IBLAIPlatformMeta? body,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/account/orgs/${org}/platform-metadata/');
    final $body = body;
    final Request $request = Request(
      'PUT',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<IBLAIPlatformMeta, IBLAIPlatformMeta>($request);
  }

  @override
  Future<Response<List<APITokenCost>>> _apiAiAccountOrgsOrgTokensGet(
      {required String? org}) {
    final Uri $url = Uri.parse('/api/ai/account/orgs/${org}/tokens/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<List<APITokenCost>, APITokenCost>($request);
  }

  @override
  Future<Response<RetrieverDocumentEmbedding>>
      _apiAiIndexOrgsOrgUsersUserIdDocumentsDocumentIdRetrieverDocumentsGet({
    required String? documentId,
    required String? org,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/ai/index/orgs/${org}/users/${userId}/documents/${documentId}/retriever_documents/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client
        .send<RetrieverDocumentEmbedding, RetrieverDocumentEmbedding>($request);
  }

  @override
  Future<Response<RetrieverDocumentEmbedding>>
      _apiAiIndexOrgsOrgUsersUserIdDocumentsDocumentIdRetrieverDocumentsPut({
    required String? documentId,
    required String? org,
    required String? userId,
    required RetrieverDocumentEmbeddingRequest? body,
  }) {
    final Uri $url = Uri.parse(
        '/api/ai/index/orgs/${org}/users/${userId}/documents/${documentId}/retriever_documents/');
    final $body = body;
    final Request $request = Request(
      'PUT',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client
        .send<RetrieverDocumentEmbedding, RetrieverDocumentEmbedding>($request);
  }

  @override
  Future<Response<RetreiverTrainViewResponse>>
      _apiAiIndexOrgsOrgUsersUserIdMultilingualRetrieverTrainPost({
    required String? org,
    required String? userId,
    required RetreiverTrainViewRequest? body,
  }) {
    final Uri $url = Uri.parse(
        '/api/ai/index/orgs/${org}/users/${userId}/multilingual_retriever_train/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client
        .send<RetreiverTrainViewResponse, RetreiverTrainViewResponse>($request);
  }

  @override
  Future<Response<RetrieverDocumentEmbedding>>
      _apiAiIndexOrgsOrgUsersUserIdPathwaysPathwayRetrieverDocumentsGet({
    required String? org,
    required String? pathway,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/ai/index/orgs/${org}/users/${userId}/pathways/${pathway}/retriever_documents/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client
        .send<RetrieverDocumentEmbedding, RetrieverDocumentEmbedding>($request);
  }

  @override
  Future<Response<RetrieverResponseSearch>>
      _apiAiIndexOrgsOrgUsersUserIdRetrieverSearchPost({
    required String? org,
    required String? userId,
    required RetrieverRequestSearch? body,
  }) {
    final Uri $url = Uri.parse(
        '/api/ai/index/orgs/${org}/users/${userId}/retriever_search/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client
        .send<RetrieverResponseSearch, RetrieverResponseSearch>($request);
  }

  @override
  Future<Response<RetreiverTrainViewResponse>>
      _apiAiIndexOrgsOrgUsersUserIdRetrieverTrainPost({
    required String? org,
    required String? userId,
    required RetreiverTrainViewRequest? body,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/index/orgs/${org}/users/${userId}/retriever_train/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client
        .send<RetreiverTrainViewResponse, RetreiverTrainViewResponse>($request);
  }

  @override
  Future<Response<RetrieverRequestSearchDocument>>
      _apiAiIndexOrgsOrgUsersUserIdSourcesPost({
    required String? org,
    required String? userId,
    required RetrieverRequestSearch? body,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/index/orgs/${org}/users/${userId}/sources/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<RetrieverRequestSearchDocument,
        RetrieverRequestSearchDocument>($request);
  }

  @override
  Future<Response<CheckDocumentTrainingStatus>>
      _apiAiIndexOrgsOrgUsersUserIdTasksTaskIdGet({
    required String? org,
    required String? taskId,
    required String? userId,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/index/orgs/${org}/users/${userId}/tasks/${taskId}/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<CheckDocumentTrainingStatus,
        CheckDocumentTrainingStatus>($request);
  }

  @override
  Future<Response<TrainDocumentViewResponse>>
      _apiAiIndexOrgsOrgUsersUserIdTrainDocumentPost({
    required String? org,
    required String? userId,
    required TrainDocumentViewRequest? body,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/index/orgs/${org}/users/${userId}/train-document/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client
        .send<TrainDocumentViewResponse, TrainDocumentViewResponse>($request);
  }

  @override
  Future<Response<TrainChatSessionDocumentView>>
      _apiAiIndexOrgsOrgUsersUserIdTrainSessionDocumentSessionsSessionIdPost({
    required String? org,
    required String? sessionId,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/ai/index/orgs/${org}/users/${userId}/train-session-document/sessions/${sessionId}/');
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
    );
    return client.send<TrainChatSessionDocumentView,
        TrainChatSessionDocumentView>($request);
  }

  @override
  Future<Response<WebSocketStopGenerationView>>
      _apiAiMentorGenerationsGenerationIdStopGenerationPost(
          {required String? generationId}) {
    final Uri $url = Uri.parse(
        '/api/ai/mentor/generations/${generationId}/stop-generation/');
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
    );
    return client.send<WebSocketStopGenerationView,
        WebSocketStopGenerationView>($request);
  }

  @override
  Future<Response<Mentor>> _apiAiMentorMentorsMentorGet(
      {required String? mentor}) {
    final Uri $url = Uri.parse('/api/ai/mentor/mentors/${mentor}/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<Mentor, Mentor>($request);
  }

  @override
  Future<Response<GuidedPromptsResponse>>
      _apiAiMentorOrgsOrgGuidedPromptsSessionsSessionIdGet({
    required String? org,
    required String? sessionId,
  }) {
    final Uri $url = Uri.parse(
        '/api/ai/mentor/orgs/${org}/guided-prompts/sessions/${sessionId}/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<GuidedPromptsResponse, GuidedPromptsResponse>($request);
  }

  @override
  Future<Response<UserChatFeedback>>
      _apiAiMentorOrgsOrgMentorFeedbackFeedbackIdGet({
    required int? feedbackId,
    required String? org,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/mentor-feedback/${feedbackId}/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<UserChatFeedback, UserChatFeedback>($request);
  }

  @override
  Future<Response<UserChatFeedback>>
      _apiAiMentorOrgsOrgMentorFeedbackFeedbackIdPut({
    required int? feedbackId,
    required String? org,
    required UserChatFeedback? body,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/mentor-feedback/${feedbackId}/');
    final $body = body;
    final Request $request = Request(
      'PUT',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<UserChatFeedback, UserChatFeedback>($request);
  }

  @override
  Future<Response<UserChatFeedback>>
      _apiAiMentorOrgsOrgMentorFeedbackCreatePost({
    required String? org,
    required UserChatFeedback? body,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/mentor-feedback/create/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<UserChatFeedback, UserChatFeedback>($request);
  }

  @override
  Future<Response<MentorFromTemplate>>
      _apiAiMentorOrgsOrgMentorFromTemplatePost({
    required String? org,
    required MentorFromTemplateRequest? body,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/mentor-from-template/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<MentorFromTemplate, MentorFromTemplate>($request);
  }

  @override
  Future<Response<MentorLLMFlowResponse>> _apiAiMentorOrgsOrgMentorLlmsGet(
      {required String? org}) {
    final Uri $url = Uri.parse('/api/ai/mentor/orgs/${org}/mentor-llms/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<MentorLLMFlowResponse, MentorLLMFlowResponse>($request);
  }

  @override
  Future<Response<MentorFromTemplate>>
      _apiAiMentorOrgsOrgMentorWithSettingsPost({
    required String? org,
    required MentorFromTemplateWithSettingRequest? body,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/mentor-with-settings/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<MentorFromTemplate, MentorFromTemplate>($request);
  }

  @override
  Future<Response<MentorSettings>> _apiAiMentorOrgsOrgMentorsMentorSettingsGet({
    required String? mentor,
    required String? org,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/mentors/${mentor}/settings/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<MentorSettings, MentorSettings>($request);
  }

  @override
  Future<Response<MentorSettings>> _apiAiMentorOrgsOrgMentorsMentorSettingsPut({
    required String? mentor,
    required String? org,
    required MentorSettingsRequest? body,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/mentors/${mentor}/settings/');
    final $body = body;
    final Request $request = Request(
      'PUT',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<MentorSettings, MentorSettings>($request);
  }

  @override
  Future<Response<SuggestedPrompts>>
      _apiAiMentorOrgsOrgMentorsMentorSuggestedPromptsGet({
    required String? mentor,
    required String? org,
  }) {
    final Uri $url = Uri.parse(
        '/api/ai/mentor/orgs/${org}/mentors/${mentor}/suggested-prompts/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<SuggestedPrompts, SuggestedPrompts>($request);
  }

  @override
  Future<Response<SuggestedPrompts>>
      _apiAiMentorOrgsOrgMentorsMentorSuggestedPromptsPost({
    required String? mentor,
    required String? org,
    required SuggestedPrompts? body,
  }) {
    final Uri $url = Uri.parse(
        '/api/ai/mentor/orgs/${org}/mentors/${mentor}/suggested-prompts/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<SuggestedPrompts, SuggestedPrompts>($request);
  }

  @override
  Future<Response<dynamic>>
      _apiAiMentorOrgsOrgMentorsMentorSuggestedPromptsDelete({
    required String? mentor,
    required String? org,
  }) {
    final Uri $url = Uri.parse(
        '/api/ai/mentor/orgs/${org}/mentors/${mentor}/suggested-prompts/');
    final Request $request = Request(
      'DELETE',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<SessionDetail>>
      _apiAiMentorOrgsOrgMentorsMentorUsersUserIdGet({
    required String? mentor,
    required String? org,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/ai/mentor/orgs/${org}/mentors/${mentor}/users/${userId}/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<SessionDetail, SessionDetail>($request);
  }

  @override
  Future<Response<PredictiveAnalyticsResponse>>
      _apiAiMentorOrgsOrgPredictiveAnalyticsPost({
    required String? org,
    required PredictiveAnalyticsRequest? body,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/predictive-analytics/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<PredictiveAnalyticsResponse,
        PredictiveAnalyticsResponse>($request);
  }

  @override
  Future<Response<ChatSessionResponse>> _apiAiMentorOrgsOrgSessionsPost({
    required String? org,
    required ChatSessionRequest? body,
  }) {
    final Uri $url = Uri.parse('/api/ai/mentor/orgs/${org}/sessions/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<ChatSessionResponse, ChatSessionResponse>($request);
  }

  @override
  Future<Response<AskMentorResponse>>
      _apiAiMentorOrgsOrgSessionsSessionIdAskPost({
    required String? org,
    required String? sessionId,
    required AskMentorRequest? body,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/sessions/${sessionId}/ask/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<AskMentorResponse, AskMentorResponse>($request);
  }

  @override
  Future<Response<AskMentorResponse>>
      _apiAiMentorOrgsOrgSessionsSessionIdUsersUserIdAskPost({
    required String? org,
    required String? sessionId,
    required String? userId,
    required AskMentorRequest? body,
  }) {
    final Uri $url = Uri.parse(
        '/api/ai/mentor/orgs/${org}/sessions/${sessionId}/users/${userId}/ask/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<AskMentorResponse, AskMentorResponse>($request);
  }

  @override
  Future<Response<Usage>> _apiAiMentorOrgsOrgUsageGet({required String? org}) {
    final Uri $url = Uri.parse('/api/ai/mentor/orgs/${org}/usage/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<Usage, Usage>($request);
  }

  @override
  Future<Response<PaginatedMentorList>> _apiAiMentorOrgsOrgUsersUserIdGet({
    required String? org,
    int? page,
    int? pageSize,
    required String? userId,
  }) {
    final Uri $url = Uri.parse('/api/ai/mentor/orgs/${org}/users/${userId}/');
    final Map<String, dynamic> $params = <String, dynamic>{
      'page': page,
      'pageSize': pageSize,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<PaginatedMentorList, PaginatedMentorList>($request);
  }

  @override
  Future<Response<Mentor>> _apiAiMentorOrgsOrgUsersUserIdPost({
    required String? org,
    required String? userId,
    required Mentor? body,
  }) {
    final Uri $url = Uri.parse('/api/ai/mentor/orgs/${org}/users/${userId}/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<Mentor, Mentor>($request);
  }

  @override
  Future<Response<Mentor>> _apiAiMentorOrgsOrgUsersUserIdNameGet({
    required String? name,
    required String? org,
    required String? userId,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/users/${userId}/${name}/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<Mentor, Mentor>($request);
  }

  @override
  Future<Response<Mentor>> _apiAiMentorOrgsOrgUsersUserIdNamePut({
    required String? name,
    required String? org,
    required String? userId,
    required Mentor? body,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/users/${userId}/${name}/');
    final $body = body;
    final Request $request = Request(
      'PUT',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<Mentor, Mentor>($request);
  }

  @override
  Future<Response<Mentor>> _apiAiMentorOrgsOrgUsersUserIdNamePatch({
    required String? name,
    required String? org,
    required String? userId,
    required PatchedMentor? body,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/users/${userId}/${name}/');
    final $body = body;
    final Request $request = Request(
      'PATCH',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<Mentor, Mentor>($request);
  }

  @override
  Future<Response<dynamic>> _apiAiMentorOrgsOrgUsersUserIdNameDelete({
    required String? name,
    required String? org,
    required String? userId,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/users/${userId}/${name}/');
    final Request $request = Request(
      'DELETE',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<PinnedMessageCreate>>
      _apiAiMentorOrgsOrgUsersUserIdPinMessageGet({
    required String? org,
    required String? userId,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/users/${userId}/pin-message/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<PinnedMessageCreate, PinnedMessageCreate>($request);
  }

  @override
  Future<Response<PinnedMessageCreate>>
      _apiAiMentorOrgsOrgUsersUserIdPinMessagePost({
    required String? org,
    required String? userId,
    required PinnedMessageCreate? body,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/users/${userId}/pin-message/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<PinnedMessageCreate, PinnedMessageCreate>($request);
  }

  @override
  Future<Response<dynamic>> _apiAiMentorOrgsOrgUsersUserIdPinMessageDelete({
    required String? org,
    required String? userId,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/users/${userId}/pin-message/');
    final Request $request = Request(
      'DELETE',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<List<Prompt>>> _apiAiMentorOrgsOrgUsersUserIdPromptGet({
    required String? org,
    required String? userId,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/users/${userId}/prompt/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<List<Prompt>, Prompt>($request);
  }

  @override
  Future<Response<Prompt>> _apiAiMentorOrgsOrgUsersUserIdPromptPost({
    required String? org,
    required String? userId,
    required Prompt? body,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/users/${userId}/prompt/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<Prompt, Prompt>($request);
  }

  @override
  Future<Response<Prompt>> _apiAiMentorOrgsOrgUsersUserIdPromptIdGet({
    required int? id,
    required String? org,
    required String? userId,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/users/${userId}/prompt/${id}/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<Prompt, Prompt>($request);
  }

  @override
  Future<Response<Prompt>> _apiAiMentorOrgsOrgUsersUserIdPromptIdPut({
    required int? id,
    required String? org,
    required String? userId,
    required Prompt? body,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/users/${userId}/prompt/${id}/');
    final $body = body;
    final Request $request = Request(
      'PUT',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<Prompt, Prompt>($request);
  }

  @override
  Future<Response<Prompt>> _apiAiMentorOrgsOrgUsersUserIdPromptIdPatch({
    required int? id,
    required String? org,
    required String? userId,
    required PatchedPrompt? body,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/users/${userId}/prompt/${id}/');
    final $body = body;
    final Request $request = Request(
      'PATCH',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<Prompt, Prompt>($request);
  }

  @override
  Future<Response<dynamic>> _apiAiMentorOrgsOrgUsersUserIdPromptIdDelete({
    required int? id,
    required String? org,
    required String? userId,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/users/${userId}/prompt/${id}/');
    final Request $request = Request(
      'DELETE',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<ChatSessionWithMessage>>
      _apiAiMentorOrgsOrgUsersUserIdRecentMessagesGet({
    required String? org,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/ai/mentor/orgs/${org}/users/${userId}/recent-messages/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client
        .send<ChatSessionWithMessage, ChatSessionWithMessage>($request);
  }

  @override
  Future<Response<List<ChatHistorySessionId>>>
      _apiAiMentorOrgsOrgUsersUserIdSessionidGet({
    required String? endDate,
    required String? org,
    required String? startDate,
    required String? userId,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/users/${userId}/sessionid/');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client
        .send<List<ChatHistorySessionId>, ChatHistorySessionId>($request);
  }

  @override
  Future<Response<ChatSessionResponse>>
      _apiAiMentorOrgsOrgUsersUserIdSessionsPost({
    required String? org,
    required String? userId,
    required ChatSessionRequest? body,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/users/${userId}/sessions/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<ChatSessionResponse, ChatSessionResponse>($request);
  }

  @override
  Future<Response<MessageView>>
      _apiAiMentorOrgsOrgUsersUserIdSessionsSessionIdGet({
    required String? org,
    required String? sessionId,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/ai/mentor/orgs/${org}/users/${userId}/sessions/${sessionId}/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<MessageView, MessageView>($request);
  }

  @override
  Future<Response<dynamic>>
      _apiAiMentorOrgsOrgUsersUserIdSessionsSessionIdDelete({
    required String? org,
    required String? sessionId,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/ai/mentor/orgs/${org}/users/${userId}/sessions/${sessionId}/');
    final Request $request = Request(
      'DELETE',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<ChatHistoryItem>>
      _apiAiMentorOrgsOrgUsersUserIdSessionsSessionIdDownloadSessionGet({
    required String? org,
    required String? sessionId,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/ai/mentor/orgs/${org}/users/${userId}/sessions/${sessionId}/download-session');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<ChatHistoryItem, ChatHistoryItem>($request);
  }

  @override
  Future<Response<RelatedText>>
      _apiAiMentorOrgsOrgUsersUserIdSessionsSessionIdSuggestionGet({
    required String? org,
    required String? sessionId,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/ai/mentor/orgs/${org}/users/${userId}/sessions/${sessionId}/suggestion');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<RelatedText, RelatedText>($request);
  }

  @override
  Future<Response<ChatHistoryItem>>
      _apiAiMentorOrgsOrgUsersUserIdSessionsSessionIdTasksTaskIdGet({
    required String? org,
    required String? sessionId,
    required String? taskId,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/ai/mentor/orgs/${org}/users/${userId}/sessions/${sessionId}/tasks/${taskId}/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<ChatHistoryItem, ChatHistoryItem>($request);
  }

  @override
  Future<Response<RetrieveTask>> _apiAiMentorOrgsOrgUsersUserIdTasksTaskIdGet({
    required String? org,
    required String? taskId,
    required String? userId,
  }) {
    final Uri $url =
        Uri.parse('/api/ai/mentor/orgs/${org}/users/${userId}/tasks/${taskId}');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<RetrieveTask, RetrieveTask>($request);
  }

  @override
  Future<Response<TaskView>>
      _apiAiMentorOrgsOrgUsersUserIdTasksSessionsSessionIdPost({
    required String? org,
    required String? sessionId,
    required String? userId,
    required TaskView? body,
  }) {
    final Uri $url = Uri.parse(
        '/api/ai/mentor/orgs/${org}/users/${userId}/tasks/sessions/${sessionId}/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<TaskView, TaskView>($request);
  }

  @override
  Future<Response<OvertimeWithChangeInfo>>
      _apiAudienceOrgsOrgActiveUsersOverTimeGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url =
        Uri.parse('/api/audience/orgs/${org}/active-users/over-time');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client
        .send<OvertimeWithChangeInfo, OvertimeWithChangeInfo>($request);
  }

  @override
  Future<Response<ActiveUsersPerCourse>>
      _apiAudienceOrgsOrgActiveUsersPerCourseGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url =
        Uri.parse('/api/audience/orgs/${org}/active-users/per-course');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<ActiveUsersPerCourse, ActiveUsersPerCourse>($request);
  }

  @override
  Future<Response<ActiveUsersList>> _apiAudienceOrgsOrgActiveUsersUsersGet({
    String? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
  }) {
    final Uri $url = Uri.parse('/api/audience/orgs/${org}/active-users/users');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
      'length': length,
      'page': page,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<ActiveUsersList, ActiveUsersList>($request);
  }

  @override
  Future<Response<OvertimeWithChangeInfo>>
      _apiAudienceOrgsOrgEnrollmentsCoursesCourseIdOverTimeGet({
    String? active,
    required String? courseId,
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url = Uri.parse(
        '/api/audience/orgs/${org}/enrollments/courses/${courseId}/over-time');
    final Map<String, dynamic> $params = <String, dynamic>{
      'active': active,
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client
        .send<OvertimeWithChangeInfo, OvertimeWithChangeInfo>($request);
  }

  @override
  Future<Response<EnrollmentsPerUser>>
      _apiAudienceOrgsOrgEnrollmentsCoursesCourseIdUsersGet({
    String? active,
    required String? courseId,
    String? endDate,
    String? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
    String? startDate,
  }) {
    final Uri $url = Uri.parse(
        '/api/audience/orgs/${org}/enrollments/courses/${courseId}/users');
    final Map<String, dynamic> $params = <String, dynamic>{
      'active': active,
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'length': length,
      'page': page,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<EnrollmentsPerUser, EnrollmentsPerUser>($request);
  }

  @override
  Future<Response<OvertimeWithChangeInfo>>
      _apiAudienceOrgsOrgEnrollmentsOverTimeGet({
    String? active,
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url =
        Uri.parse('/api/audience/orgs/${org}/enrollments/over-time');
    final Map<String, dynamic> $params = <String, dynamic>{
      'active': active,
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client
        .send<OvertimeWithChangeInfo, OvertimeWithChangeInfo>($request);
  }

  @override
  Future<Response<Enrollments>> _apiAudienceOrgsOrgEnrollmentsPerCourseGet({
    String? active,
    String? endDate,
    String? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
    String? startDate,
  }) {
    final Uri $url =
        Uri.parse('/api/audience/orgs/${org}/enrollments/per-course');
    final Map<String, dynamic> $params = <String, dynamic>{
      'active': active,
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'length': length,
      'page': page,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Enrollments, Enrollments>($request);
  }

  @override
  Future<Response<PerlearnerUserList>> _apiAudienceOrgsOrgRegisteredUsersGet({
    String? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
    String? search,
  }) {
    final Uri $url = Uri.parse('/api/audience/orgs/${org}/registered-users/');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
      'length': length,
      'page': page,
      'search': search,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<PerlearnerUserList, PerlearnerUserList>($request);
  }

  @override
  Future<Response<OvertimeWithChangeInfo>>
      _apiAudienceOrgsOrgRegisteredUsersOverTimeGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url =
        Uri.parse('/api/audience/orgs/${org}/registered-users/over-time');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client
        .send<OvertimeWithChangeInfo, OvertimeWithChangeInfo>($request);
  }

  @override
  Future<Response<Enrollments>> _apiAudienceOrgsOrgRegisteredUsersPerCourseGet({
    String? active,
    String? endDate,
    String? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
    String? startDate,
  }) {
    final Uri $url =
        Uri.parse('/api/audience/orgs/${org}/registered-users/per-course');
    final Map<String, dynamic> $params = <String, dynamic>{
      'active': active,
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'length': length,
      'page': page,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Enrollments, Enrollments>($request);
  }

  @override
  Future<Response<AuthToken>> _apiAuthLoginPost({required AuthLogin? body}) {
    final Uri $url = Uri.parse('/api/auth/login/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<AuthToken, AuthToken>($request);
  }

  @override
  Future<Response<AuthToken>> _apiAuthOrgsOrgUsersUserIdTokenPost({
    required String? org,
    required String? userId,
  }) {
    final Uri $url = Uri.parse('/api/auth/orgs/${org}/users/${userId}/token/');
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
    );
    return client.send<AuthToken, AuthToken>($request);
  }

  @override
  Future<Response<AuthRegisterResponse>> _apiAuthRegisterPost(
      {required AuthRegisterRequest? body}) {
    final Uri $url = Uri.parse('/api/auth/register/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<AuthRegisterResponse, AuthRegisterResponse>($request);
  }

  @override
  Future<Response<List<Cohort>>> _apiCohortsOrgsOrgGet({required String? org}) {
    final Uri $url = Uri.parse('/api/cohorts/orgs/${org}/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<List<Cohort>, Cohort>($request);
  }

  @override
  Future<Response<Cohort>> _apiCohortsOrgsOrgPost({
    required String? org,
    required Cohort? body,
  }) {
    final Uri $url = Uri.parse('/api/cohorts/orgs/${org}/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<Cohort, Cohort>($request);
  }

  @override
  Future<Response<CohortUpdate>> _apiCohortsOrgsOrgIdGet({
    required int? id,
    required String? org,
  }) {
    final Uri $url = Uri.parse('/api/cohorts/orgs/${org}/${id}/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<CohortUpdate, CohortUpdate>($request);
  }

  @override
  Future<Response<CohortUpdate>> _apiCohortsOrgsOrgIdPut({
    required int? id,
    required String? org,
    required CohortUpdate? body,
  }) {
    final Uri $url = Uri.parse('/api/cohorts/orgs/${org}/${id}/');
    final $body = body;
    final Request $request = Request(
      'PUT',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<CohortUpdate, CohortUpdate>($request);
  }

  @override
  Future<Response<CohortUpdate>> _apiCohortsOrgsOrgIdPatch({
    required int? id,
    required String? org,
    required PatchedCohortUpdate? body,
  }) {
    final Uri $url = Uri.parse('/api/cohorts/orgs/${org}/${id}/');
    final $body = body;
    final Request $request = Request(
      'PATCH',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<CohortUpdate, CohortUpdate>($request);
  }

  @override
  Future<Response<dynamic>> _apiCohortsOrgsOrgIdDelete({
    required int? id,
    required String? org,
  }) {
    final Uri $url = Uri.parse('/api/cohorts/orgs/${org}/${id}/');
    final Request $request = Request(
      'DELETE',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<CohortUpdate>> _apiCohortsOrgsOrgIdAddInstructorsPut({
    required int? id,
    required String? org,
    required CohortUpdate? body,
  }) {
    final Uri $url =
        Uri.parse('/api/cohorts/orgs/${org}/${id}/add_instructors/');
    final $body = body;
    final Request $request = Request(
      'PUT',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<CohortUpdate, CohortUpdate>($request);
  }

  @override
  Future<Response<dynamic>> _apiCohortsOrgsOrgIdRemoveInstructorsDelete({
    required int? id,
    required String? org,
  }) {
    final Uri $url =
        Uri.parse('/api/cohorts/orgs/${org}/${id}/remove_instructors/');
    final Request $request = Request(
      'DELETE',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiCohortsOrgsOrgIdRemoveStudentsDelete({
    required int? id,
    required String? org,
  }) {
    final Uri $url =
        Uri.parse('/api/cohorts/orgs/${org}/${id}/remove_students/');
    final Request $request = Request(
      'DELETE',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiCohortsOrgsOrgRequestsGet(
      {required String? org}) {
    final Uri $url = Uri.parse('/api/cohorts/orgs/${org}/requests/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiCohortsOrgsOrgRequestsPost(
      {required String? org}) {
    final Uri $url = Uri.parse('/api/cohorts/orgs/${org}/requests/');
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiCohortsOrgsOrgRequestsPut(
      {required String? org}) {
    final Uri $url = Uri.parse('/api/cohorts/orgs/${org}/requests/');
    final Request $request = Request(
      'PUT',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiCohortsOrgsOrgRequestsRequestIdGet({
    required String? org,
    required int? requestId,
  }) {
    final Uri $url =
        Uri.parse('/api/cohorts/orgs/${org}/requests/${requestId}');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiCohortsOrgsOrgRequestsRequestIdPost({
    required String? org,
    required int? requestId,
  }) {
    final Uri $url =
        Uri.parse('/api/cohorts/orgs/${org}/requests/${requestId}');
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiCohortsOrgsOrgRequestsRequestIdPut({
    required String? org,
    required int? requestId,
  }) {
    final Uri $url =
        Uri.parse('/api/cohorts/orgs/${org}/requests/${requestId}');
    final Request $request = Request(
      'PUT',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<PaginatedCredentialList>> _apiCredentialsOrgsOrgGet({
    int? limit,
    int? offset,
    required String? org,
  }) {
    final Uri $url = Uri.parse('/api/credentials/orgs/${org}/');
    final Map<String, dynamic> $params = <String, dynamic>{
      'limit': limit,
      'offset': offset,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client
        .send<PaginatedCredentialList, PaginatedCredentialList>($request);
  }

  @override
  Future<Response<PaginatedAssertionsList>>
      _apiCredentialsOrgsOrgAssertionsGet({
    String? format,
    int? groupId,
    int? limit,
    int? offset,
    required String? org,
  }) {
    final Uri $url = Uri.parse('/api/credentials/orgs/${org}/assertions/');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
      'limit': limit,
      'offset': offset,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client
        .send<PaginatedAssertionsList, PaginatedAssertionsList>($request);
  }

  @override
  Future<Response<OverTime>> _apiCredentialsOrgsOrgAssertionsOverTimeGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url =
        Uri.parse('/api/credentials/orgs/${org}/assertions-over-time/');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<OverTime, OverTime>($request);
  }

  @override
  Future<Response<OverTime>> _apiCredentialsOrgsOrgCourseAssertionsOverTimeGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url =
        Uri.parse('/api/credentials/orgs/${org}/course-assertions-over-time/');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<OverTime, OverTime>($request);
  }

  @override
  Future<Response<dynamic>> _apiCredentialsOrgsOrgCourseCredentialsGet({
    int? limit,
    int? offset,
    required String? org,
  }) {
    final Uri $url =
        Uri.parse('/api/credentials/orgs/${org}/course-credentials/');
    final Map<String, dynamic> $params = <String, dynamic>{
      'limit': limit,
      'offset': offset,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<OverTime>> _apiCredentialsOrgsOrgCredentialsOverTimeGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url =
        Uri.parse('/api/credentials/orgs/${org}/credentials-over-time/');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<OverTime, OverTime>($request);
  }

  @override
  Future<Response<Credential>> _apiCredentialsOrgsOrgCredentialsIdGet({
    required int? id,
    required String? org,
  }) {
    final Uri $url =
        Uri.parse('/api/credentials/orgs/${org}/credentials/${id}/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<Credential, Credential>($request);
  }

  @override
  Future<Response<EngagementPerCourse>> _apiEngagementOrgsOrgActivityGet({
    String? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
  }) {
    final Uri $url = Uri.parse('/api/engagement/orgs/${org}/activity');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
      'length': length,
      'page': page,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<EngagementPerCourse, EngagementPerCourse>($request);
  }

  @override
  Future<Response<CourseCompletionPerCourse>>
      _apiEngagementOrgsOrgCourseCompletionPerCourseGet({
    String? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
  }) {
    final Uri $url =
        Uri.parse('/api/engagement/orgs/${org}/course_completion/per-course');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
      'length': length,
      'page': page,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client
        .send<CourseCompletionPerCourse, CourseCompletionPerCourse>($request);
  }

  @override
  Future<Response<AverageOvertime>>
      _apiEngagementOrgsOrgCoursesCourseIdTimeAverageGet({
    required String? courseId,
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url = Uri.parse(
        '/api/engagement/orgs/${org}/courses/${courseId}/time/average');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<AverageOvertime, AverageOvertime>($request);
  }

  @override
  Future<Response<TimeDetail>>
      _apiEngagementOrgsOrgCoursesCourseIdTimeDetailGet({
    required String? courseId,
    String? format,
    int? groupId,
    required String? org,
  }) {
    final Uri $url = Uri.parse(
        '/api/engagement/orgs/${org}/courses/${courseId}/time/detail');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<TimeDetail, TimeDetail>($request);
  }

  @override
  Future<Response<Overtime>>
      _apiEngagementOrgsOrgCoursesCourseIdTimeOverTimeGet({
    required String? courseId,
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url = Uri.parse(
        '/api/engagement/orgs/${org}/courses/${courseId}/time/over-time');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Overtime, Overtime>($request);
  }

  @override
  Future<Response<TimeSpentByUsersInCourse>>
      _apiEngagementOrgsOrgCoursesCourseIdTimeUsersGet({
    required String? courseId,
    String? endDate,
    String? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
    String? startDate,
  }) {
    final Uri $url =
        Uri.parse('/api/engagement/orgs/${org}/courses/${courseId}/time/users');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'length': length,
      'page': page,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client
        .send<TimeSpentByUsersInCourse, TimeSpentByUsersInCourse>($request);
  }

  @override
  Future<Response<PerLearnerTimeSpentInCourseTree>>
      _apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdDetailGet({
    required String? courseId,
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/engagement/orgs/${org}/courses/${courseId}/time/users/${userId}/detail');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<PerLearnerTimeSpentInCourseTree,
        PerLearnerTimeSpentInCourseTree>($request);
  }

  @override
  Future<Response<Overtime>>
      _apiEngagementOrgsOrgCoursesCourseIdTimeUsersUserIdOverTimeGet({
    required String? courseId,
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/engagement/orgs/${org}/courses/${courseId}/time/users/${userId}/over-time');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Overtime, Overtime>($request);
  }

  @override
  Future<Response<VideosSpecificCourse>>
      _apiEngagementOrgsOrgCoursesCourseIdVideosGet({
    required String? courseId,
    String? format,
    int? groupId,
    required String? org,
  }) {
    final Uri $url =
        Uri.parse('/api/engagement/orgs/${org}/courses/${courseId}/videos/');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<VideosSpecificCourse, VideosSpecificCourse>($request);
  }

  @override
  Future<Response<Overtime>>
      _apiEngagementOrgsOrgCoursesCourseIdVideosOverTimeGet({
    required String? courseId,
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url = Uri.parse(
        '/api/engagement/orgs/${org}/courses/${courseId}/videos/over-time');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Overtime, Overtime>($request);
  }

  @override
  Future<Response<VideosInCourseSummary>>
      _apiEngagementOrgsOrgCoursesCourseIdVideosSummaryGet({
    required String? courseId,
    String? format,
    int? groupId,
    required String? org,
  }) {
    final Uri $url = Uri.parse(
        '/api/engagement/orgs/${org}/courses/${courseId}/videos/summary');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<VideosInCourseSummary, VideosInCourseSummary>($request);
  }

  @override
  Future<Response<WatchedVideosPerUser>>
      _apiEngagementOrgsOrgCoursesCourseIdVideosUsersGet({
    required String? courseId,
    String? format,
    int? groupId,
    required String? org,
  }) {
    final Uri $url = Uri.parse(
        '/api/engagement/orgs/${org}/courses/${courseId}/videos/users');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<WatchedVideosPerUser, WatchedVideosPerUser>($request);
  }

  @override
  Future<Response<AverageOvertime>>
      _apiEngagementOrgsOrgTimeAveragePerlearnerPercourseGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url = Uri.parse(
        '/api/engagement/orgs/${org}/time/average-perlearner-percourse');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<AverageOvertime, AverageOvertime>($request);
  }

  @override
  Future<Response<AverageOvertime>>
      _apiEngagementOrgsOrgTimeAverageWithOverTimeGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url =
        Uri.parse('/api/engagement/orgs/${org}/time/average-with-over-time');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<AverageOvertime, AverageOvertime>($request);
  }

  @override
  Future<Response<OvertimeWithChangeInfo>>
      _apiEngagementOrgsOrgTimeOverTimeGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url = Uri.parse('/api/engagement/orgs/${org}/time/over-time');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client
        .send<OvertimeWithChangeInfo, OvertimeWithChangeInfo>($request);
  }

  @override
  Future<Response<TimeSpentPerCourse>> _apiEngagementOrgsOrgTimePerCourseGet({
    String? endDate,
    String? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
    String? startDate,
  }) {
    final Uri $url = Uri.parse('/api/engagement/orgs/${org}/time/per-course');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'length': length,
      'page': page,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<TimeSpentPerCourse, TimeSpentPerCourse>($request);
  }

  @override
  Future<Response<VideoEngagementPerCourse>> _apiEngagementOrgsOrgVideosGet({
    String? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
  }) {
    final Uri $url = Uri.parse('/api/engagement/orgs/${org}/videos/');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
      'length': length,
      'page': page,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client
        .send<VideoEngagementPerCourse, VideoEngagementPerCourse>($request);
  }

  @override
  Future<Response<Overtime>> _apiEngagementOrgsOrgVideosOverTimeGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url = Uri.parse('/api/engagement/orgs/${org}/videos/over-time');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Overtime, Overtime>($request);
  }

  @override
  Future<Response<Product>> _apiFinanceV1OrgsOrgProductsGet(
      {required String? org}) {
    final Uri $url = Uri.parse('/api/finance/v1/orgs/${org}/products');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<Product, Product>($request);
  }

  @override
  Future<Response<NetRevenueOverTime>>
      _apiFinanceV1OrgsOrgRevenueNetOverTimeGet({
    String? endDate,
    required String? org,
    String? startDate,
  }) {
    final Uri $url =
        Uri.parse('/api/finance/v1/orgs/${org}/revenue/net-over-time');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<NetRevenueOverTime, NetRevenueOverTime>($request);
  }

  @override
  Future<Response<RevenueByProduct>> _apiFinanceV1OrgsOrgRevenueProductsGet({
    String? endDate,
    required String? org,
    String? startDate,
  }) {
    final Uri $url = Uri.parse('/api/finance/v1/orgs/${org}/revenue/products');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<RevenueByProduct, RevenueByProduct>($request);
  }

  @override
  Future<Response<Product>> _apiFinanceV1ProductsGet() {
    final Uri $url = Uri.parse('/api/finance/v1/products');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<Product, Product>($request);
  }

  @override
  Future<Response<Order>> _apiFinanceV1ProductsSlugOrdersGet({
    String? endDate,
    required String? slug,
    String? startDate,
  }) {
    final Uri $url = Uri.parse('/api/finance/v1/products/${slug}/orders');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Order, Order>($request);
  }

  @override
  Future<Response<NetRevenueOverTime>>
      _apiFinanceV1ProductsSlugSalesOverTimeGet({
    String? endDate,
    required String? slug,
    String? startDate,
  }) {
    final Uri $url =
        Uri.parse('/api/finance/v1/products/${slug}/sales-over-time');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<NetRevenueOverTime, NetRevenueOverTime>($request);
  }

  @override
  Future<Response<NetRevenueOverTime>> _apiFinanceV1RevenueNetOverTimeGet({
    String? endDate,
    String? startDate,
  }) {
    final Uri $url = Uri.parse('/api/finance/v1/revenue/net-over-time');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<NetRevenueOverTime, NetRevenueOverTime>($request);
  }

  @override
  Future<Response<RevenueByProduct>> _apiFinanceV1RevenueProductsGet({
    String? endDate,
    String? startDate,
  }) {
    final Uri $url = Uri.parse('/api/finance/v1/revenue/products');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<RevenueByProduct, RevenueByProduct>($request);
  }

  @override
  Future<Response<dynamic>> _apiNotificationV1OrgsOrgNotificationsGet(
      {required String? org}) {
    final Uri $url =
        Uri.parse('/api/notification/v1/orgs/${org}/notifications/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<CreateNotificationResponse>>
      _apiNotificationV1OrgsOrgNotificationsPost({
    required String? org,
    required CreateNotification? body,
  }) {
    final Uri $url =
        Uri.parse('/api/notification/v1/orgs/${org}/notifications/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client
        .send<CreateNotificationResponse, CreateNotificationResponse>($request);
  }

  @override
  Future<Response<OvertimeWithChangeInfo>> _apiOverviewOrgsOrgActiveUsersGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url = Uri.parse('/api/overview/orgs/${org}/active-users');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client
        .send<OvertimeWithChangeInfo, OvertimeWithChangeInfo>($request);
  }

  @override
  Future<Response<Average>> _apiOverviewOrgsOrgAverageGradeGet({
    String? format,
    int? groupId,
    required String? org,
  }) {
    final Uri $url = Uri.parse('/api/overview/orgs/${org}/average-grade');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Average, Average>($request);
  }

  @override
  Future<Response<CourseCompletionSummaryOvertime>>
      _apiOverviewOrgsOrgCoursesCompletionsGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url = Uri.parse('/api/overview/orgs/${org}/courses/completions');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<CourseCompletionSummaryOvertime,
        CourseCompletionSummaryOvertime>($request);
  }

  @override
  Future<Response<PerlearnerUserList>> _apiOverviewOrgsOrgLearnersGet({
    String? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
    String? search,
  }) {
    final Uri $url = Uri.parse('/api/overview/orgs/${org}/learners');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
      'length': length,
      'page': page,
      'search': search,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<PerlearnerUserList, PerlearnerUserList>($request);
  }

  @override
  Future<Response<TimeSpentPerCourse>> _apiOverviewOrgsOrgMostActiveCoursesGet({
    String? endDate,
    String? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
    String? startDate,
  }) {
    final Uri $url = Uri.parse('/api/overview/orgs/${org}/most-active-courses');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'length': length,
      'page': page,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<TimeSpentPerCourse, TimeSpentPerCourse>($request);
  }

  @override
  Future<Response<OvertimeWithChangeInfo>>
      _apiOverviewOrgsOrgRegisteredUsersGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url = Uri.parse('/api/overview/orgs/${org}/registered-users');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client
        .send<OvertimeWithChangeInfo, OvertimeWithChangeInfo>($request);
  }

  @override
  Future<Response<Average>>
      _apiPerformanceOrgsOrgCoursesCourseIdGradingAverageGet({
    required String? courseId,
    String? format,
    int? groupId,
    required String? org,
  }) {
    final Uri $url = Uri.parse(
        '/api/performance/orgs/${org}/courses/${courseId}/grading/average');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Average, Average>($request);
  }

  @override
  Future<Response<AvgCourseGradeWithCutoff>>
      _apiPerformanceOrgsOrgCoursesCourseIdGradingAverageWithCutoffGet({
    required String? courseId,
    String? format,
    int? groupId,
    required String? org,
  }) {
    final Uri $url = Uri.parse(
        '/api/performance/orgs/${org}/courses/${courseId}/grading/average-with-cutoff');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client
        .send<AvgCourseGradeWithCutoff, AvgCourseGradeWithCutoff>($request);
  }

  @override
  Future<Response<CourseGradingDetail>>
      _apiPerformanceOrgsOrgCoursesCourseIdGradingDetailGet({
    required String? courseId,
    String? format,
    int? groupId,
    required String? org,
  }) {
    final Uri $url = Uri.parse(
        '/api/performance/orgs/${org}/courses/${courseId}/grading/detail');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<CourseGradingDetail, CourseGradingDetail>($request);
  }

  @override
  Future<Response<GradingPerUser>>
      _apiPerformanceOrgsOrgCoursesCourseIdGradingPerLearnerGet({
    required String? courseId,
    String? format,
    int? groupId,
    required String? org,
  }) {
    final Uri $url = Uri.parse(
        '/api/performance/orgs/${org}/courses/${courseId}/grading/per-learner');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<GradingPerUser, GradingPerUser>($request);
  }

  @override
  Future<Response<CourseGradeSummary>>
      _apiPerformanceOrgsOrgCoursesCourseIdGradingSummaryGet({
    required String? courseId,
    String? format,
    int? groupId,
    required String? org,
  }) {
    final Uri $url = Uri.parse(
        '/api/performance/orgs/${org}/courses/${courseId}/grading/summary');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<CourseGradeSummary, CourseGradeSummary>($request);
  }

  @override
  Future<Response<Average>> _apiPerformanceOrgsOrgGradingAverageGet({
    String? format,
    int? groupId,
    required String? org,
  }) {
    final Uri $url = Uri.parse('/api/performance/orgs/${org}/grading/average');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Average, Average>($request);
  }

  @override
  Future<Response<PerformanceGradesPerCourse>>
      _apiPerformanceOrgsOrgGradingPerCourseGet({
    String? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
  }) {
    final Uri $url =
        Uri.parse('/api/performance/orgs/${org}/grading/per-course');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
      'length': length,
      'page': page,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client
        .send<PerformanceGradesPerCourse, PerformanceGradesPerCourse>($request);
  }

  @override
  Future<Response<PerlearnerUserList>> _apiPerlearnerOrgsOrgUsersGet({
    String? format,
    int? groupId,
    int? length,
    required String? org,
    int? page,
    String? search,
  }) {
    final Uri $url = Uri.parse('/api/perlearner/orgs/${org}/users');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
      'length': length,
      'page': page,
      'search': search,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<PerlearnerUserList, PerlearnerUserList>($request);
  }

  @override
  Future<Response<ActivityAPI>> _apiPerlearnerOrgsOrgUsersUserIdActivityGet({
    String? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    final Uri $url =
        Uri.parse('/api/perlearner/orgs/${org}/users/${userId}/activity/');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<ActivityAPI, ActivityAPI>($request);
  }

  @override
  Future<Response<PerlearnerGradeWithCutOff>>
      _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingCutoffsGet({
    required String? courseId,
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/perlearner/orgs/${org}/users/${userId}/courses/${courseId}/grading/cutoffs');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client
        .send<PerlearnerGradeWithCutOff, PerlearnerGradeWithCutOff>($request);
  }

  @override
  Future<Response<DetailedGradeView>>
      _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingDetailGet({
    required String? courseId,
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/perlearner/orgs/${org}/users/${userId}/courses/${courseId}/grading/detail');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<DetailedGradeView, DetailedGradeView>($request);
  }

  @override
  Future<Response<PerlearnerGradeSummary>>
      _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdGradingSummaryGet({
    required String? courseId,
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/perlearner/orgs/${org}/users/${userId}/courses/${courseId}/grading/summary');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client
        .send<PerlearnerGradeSummary, PerlearnerGradeSummary>($request);
  }

  @override
  Future<Response<Value>>
      _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewEngagementIndexGet({
    required String? courseId,
    required String? org,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/perlearner/orgs/${org}/users/${userId}/courses/${courseId}/overview/engagement-index');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<Value, Value>($request);
  }

  @override
  Future<Response<PerlearnerGradeWithCutOff>>
      _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewGradeGet({
    required String? courseId,
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/perlearner/orgs/${org}/users/${userId}/courses/${courseId}/overview/grade');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client
        .send<PerlearnerGradeWithCutOff, PerlearnerGradeWithCutOff>($request);
  }

  @override
  Future<Response<Value>>
      _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewPerformanceIndexGet({
    required String? courseId,
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/perlearner/orgs/${org}/users/${userId}/courses/${courseId}/overview/performance-index');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Value, Value>($request);
  }

  @override
  Future<Response<Overtime>>
      _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdOverviewTimeOverTimeGet({
    required String? courseId,
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/perlearner/orgs/${org}/users/${userId}/courses/${courseId}/overview/time/over-time');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Overtime, Overtime>($request);
  }

  @override
  Future<Response<PerLearnerCourseVideosWatched>>
      _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosGet({
    required String? courseId,
    String? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/perlearner/orgs/${org}/users/${userId}/courses/${courseId}/videos');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<PerLearnerCourseVideosWatched,
        PerLearnerCourseVideosWatched>($request);
  }

  @override
  Future<Response<Overtime>>
      _apiPerlearnerOrgsOrgUsersUserIdCoursesCourseIdVideosOverTimeGet({
    required String? courseId,
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/perlearner/orgs/${org}/users/${userId}/courses/${courseId}/videos/over-time');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Overtime, Overtime>($request);
  }

  @override
  Future<Response<PerlearnerGradingPerCourseAPI>>
      _apiPerlearnerOrgsOrgUsersUserIdGradesPerCourseGet({
    String? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/perlearner/orgs/${org}/users/${userId}/grades/per-course');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<PerlearnerGradingPerCourseAPI,
        PerlearnerGradingPerCourseAPI>($request);
  }

  @override
  Future<Response<LearnerInformationAPI>>
      _apiPerlearnerOrgsOrgUsersUserIdInfoGet({
    String? format,
    int? groupId,
    String? meta,
    required String? org,
    String? search,
    required String? userId,
  }) {
    final Uri $url =
        Uri.parse('/api/perlearner/orgs/${org}/users/${userId}/info');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
      'meta': meta,
      'search': search,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<LearnerInformationAPI, LearnerInformationAPI>($request);
  }

  @override
  Future<Response<PerLearnerLastAccess>>
      _apiPerlearnerOrgsOrgUsersUserIdLastAccessGet({
    String? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    final Uri $url =
        Uri.parse('/api/perlearner/orgs/${org}/users/${userId}/last-access');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<PerLearnerLastAccess, PerLearnerLastAccess>($request);
  }

  @override
  Future<Response<Value>>
      _apiPerlearnerOrgsOrgUsersUserIdOverviewEngagementIndexGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/perlearner/orgs/${org}/users/${userId}/overview/engagement-index');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Value, Value>($request);
  }

  @override
  Future<Response<Average>>
      _apiPerlearnerOrgsOrgUsersUserIdOverviewGradesAverageGet({
    String? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/perlearner/orgs/${org}/users/${userId}/overview/grades/average');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Average, Average>($request);
  }

  @override
  Future<Response<Value>>
      _apiPerlearnerOrgsOrgUsersUserIdOverviewPerformanceIndexGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/perlearner/orgs/${org}/users/${userId}/overview/performance-index');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Value, Value>($request);
  }

  @override
  Future<Response<Overtime>>
      _apiPerlearnerOrgsOrgUsersUserIdOverviewTimeOverTimeGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/perlearner/orgs/${org}/users/${userId}/overview/time/over-time');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Overtime, Overtime>($request);
  }

  @override
  Future<Response<Overtime>> _apiPerlearnerOrgsOrgUsersUserIdVideosOverTimeGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/perlearner/orgs/${org}/users/${userId}/videos/over-time');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Overtime, Overtime>($request);
  }

  @override
  Future<Response<PerlearnerEngagementVideosWatchedPerCourse>>
      _apiPerlearnerOrgsOrgUsersUserIdVideosPerCourseGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/perlearner/orgs/${org}/users/${userId}/videos/per-course');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<PerlearnerEngagementVideosWatchedPerCourse,
        PerlearnerEngagementVideosWatchedPerCourse>($request);
  }

  @override
  Future<Response<dynamic>> _apiPlatformOrgsOrgGet({required String? org}) {
    final Uri $url = Uri.parse('/api/platform/orgs/${org}/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiPlatformOrgsOrgCoursesCourseIdProgressGet({
    required String? courseId,
    required String? org,
  }) {
    final Uri $url =
        Uri.parse('/api/platform/orgs/${org}/courses/${courseId}/progress/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>>
      _apiPlatformOrgsOrgCoursesCourseIdProgressAverageDaysToCompleteGet({
    required String? courseId,
    required String? org,
  }) {
    final Uri $url = Uri.parse(
        '/api/platform/orgs/${org}/courses/${courseId}/progress/average-days-to-complete');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>>
      _apiPlatformOrgsOrgCoursesCourseIdProgressAverageTimeToCompleteGet({
    required String? courseId,
    required String? org,
  }) {
    final Uri $url = Uri.parse(
        '/api/platform/orgs/${org}/courses/${courseId}/progress/average-time-to-complete');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>>
      _apiPlatformOrgsOrgCoursesCourseIdProgressCompletedGet({
    required String? courseId,
    required String? org,
  }) {
    final Uri $url = Uri.parse(
        '/api/platform/orgs/${org}/courses/${courseId}/progress/completed');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>>
      _apiPlatformOrgsOrgCoursesCourseIdProgressCompletionRateGet({
    required String? courseId,
    required String? org,
  }) {
    final Uri $url = Uri.parse(
        '/api/platform/orgs/${org}/courses/${courseId}/progress/completion-rate');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>>
      _apiPlatformOrgsOrgCoursesCourseIdProgressInProgressGet({
    required String? courseId,
    required String? org,
  }) {
    final Uri $url = Uri.parse(
        '/api/platform/orgs/${org}/courses/${courseId}/progress/in-progress');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>>
      _apiPlatformOrgsOrgCoursesCourseIdProgressStartedGet({
    required String? courseId,
    required String? org,
  }) {
    final Uri $url = Uri.parse(
        '/api/platform/orgs/${org}/courses/${courseId}/progress/started');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>>
      _apiPlatformOrgsOrgCoursesCourseIdUsersUserIdGradesPassedGet({
    required String? courseId,
    required String? org,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/platform/orgs/${org}/courses/${courseId}/users/${userId}/grades/passed');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<PerlearnerCourseProgress>>
      _apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressGet({
    required String? courseId,
    String? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/platform/orgs/${org}/courses/${courseId}/users/${userId}/progress');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client
        .send<PerlearnerCourseProgress, PerlearnerCourseProgress>($request);
  }

  @override
  Future<Response<dynamic>>
      _apiPlatformOrgsOrgCoursesCourseIdUsersUserIdProgressDaysToCompleteGet({
    required String? courseId,
    required String? org,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/platform/orgs/${org}/courses/${courseId}/users/${userId}/progress/days-to-complete');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<Count>>
      _apiPlatformOrgsOrgCoursesCourseIdUsersUserIdTimeCountGet({
    required String? courseId,
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/platform/orgs/${org}/courses/${courseId}/users/${userId}/time/count');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Count, Count>($request);
  }

  @override
  Future<Response<VideosCount>>
      _apiPlatformOrgsOrgCoursesCourseIdUsersUserIdVideosCountGet({
    required String? courseId,
    String? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/platform/orgs/${org}/courses/${courseId}/users/${userId}/videos/count');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<VideosCount, VideosCount>($request);
  }

  @override
  Future<Response<dynamic>> _apiPlatformOrgsOrgCoursesCourseIdVideosGet({
    required String? courseId,
    required String? org,
  }) {
    final Uri $url =
        Uri.parse('/api/platform/orgs/${org}/courses/${courseId}/videos/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<Count>> _apiPlatformOrgsOrgCoursesCountGet({
    String? format,
    int? groupId,
    required String? org,
  }) {
    final Uri $url = Uri.parse('/api/platform/orgs/${org}/courses/count');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Count, Count>($request);
  }

  @override
  Future<Response<dynamic>> _apiPlatformOrgsOrgCoursesGradesGet(
      {required String? org}) {
    final Uri $url = Uri.parse('/api/platform/orgs/${org}/courses/grades');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<WatchedVideosPerCourse>> _apiPlatformOrgsOrgCoursesVideosGet({
    String? format,
    int? groupId,
    required String? org,
  }) {
    final Uri $url = Uri.parse('/api/platform/orgs/${org}/courses/videos');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client
        .send<WatchedVideosPerCourse, WatchedVideosPerCourse>($request);
  }

  @override
  Future<Response<dynamic>> _apiPlatformOrgsOrgProgressCompletedGet(
      {required String? org}) {
    final Uri $url = Uri.parse('/api/platform/orgs/${org}/progress/completed');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiPlatformOrgsOrgProgressCompletionRateGet(
      {required String? org}) {
    final Uri $url =
        Uri.parse('/api/platform/orgs/${org}/progress/completion-rate');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiPlatformOrgsOrgProgressInProgressGet(
      {required String? org}) {
    final Uri $url =
        Uri.parse('/api/platform/orgs/${org}/progress/in-progress');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiPlatformOrgsOrgProgressStartedGet(
      {required String? org}) {
    final Uri $url = Uri.parse('/api/platform/orgs/${org}/progress/started');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiPlatformOrgsOrgTimeCountGet(
      {required String? org}) {
    final Uri $url = Uri.parse('/api/platform/orgs/${org}/time/count');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<Overtime>> _apiPlatformOrgsOrgUsersActiveCountGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url = Uri.parse('/api/platform/orgs/${org}/users/active/count');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Overtime, Overtime>($request);
  }

  @override
  Future<Response<Overtime>> _apiPlatformOrgsOrgUsersCountGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url = Uri.parse('/api/platform/orgs/${org}/users/count');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Overtime, Overtime>($request);
  }

  @override
  Future<Response<Overtime>> _apiPlatformOrgsOrgUsersCoursesCompletedCountGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
  }) {
    final Uri $url =
        Uri.parse('/api/platform/orgs/${org}/users/courses-completed/count');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Overtime, Overtime>($request);
  }

  @override
  Future<Response<Count>> _apiPlatformUsersUserIdAssessmentsCountGet({
    String? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    final Uri $url =
        Uri.parse('/api/platform/users/${userId}/assessments/count');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
      'org': org,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Count, Count>($request);
  }

  @override
  Future<Response<Count>> _apiPlatformUsersUserIdCoursesCompletedGet({
    String? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    final Uri $url =
        Uri.parse('/api/platform/users/${userId}/courses/completed');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
      'org': org,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Count, Count>($request);
  }

  @override
  Future<Response<dynamic>> _apiPlatformUsersUserIdCoursesInProgressGet(
      {required String? userId}) {
    final Uri $url =
        Uri.parse('/api/platform/users/${userId}/courses/in-progress');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<Count>> _apiPlatformUsersUserIdCoursesStartedGet({
    String? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    final Uri $url = Uri.parse('/api/platform/users/${userId}/courses/started');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
      'org': org,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Count, Count>($request);
  }

  @override
  Future<Response<StatusPerCourseAPI>> _apiPlatformUsersUserIdCoursesStatusGet({
    String? format,
    int? groupId,
    required String? org,
    required String? userId,
  }) {
    final Uri $url = Uri.parse('/api/platform/users/${userId}/courses/status');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'groupId': groupId,
      'org': org,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<StatusPerCourseAPI, StatusPerCourseAPI>($request);
  }

  @override
  Future<Response<Count>> _apiPlatformUsersUserIdCoursesTimeGet({
    String? endDate,
    String? format,
    int? groupId,
    required String? org,
    String? startDate,
    required String? userId,
  }) {
    final Uri $url = Uri.parse('/api/platform/users/${userId}/courses/time');
    final Map<String, dynamic> $params = <String, dynamic>{
      'endDate': endDate,
      'format': format,
      'groupId': groupId,
      'org': org,
      'startDate': startDate,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Count, Count>($request);
  }

  @override
  Future<Response<RecommendationSearchAPI>>
      _apiRecommendationsOrgsOrgUsersUserIdGet({
    required String? org,
    required String? userId,
  }) {
    final Uri $url =
        Uri.parse('/api/recommendations/orgs/${org}/users/${userId}/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client
        .send<RecommendationSearchAPI, RecommendationSearchAPI>($request);
  }

  @override
  Future<Response<List<ReportList>>> _apiReportsOrgsOrgGet({
    required String? org,
    String? owner,
  }) {
    final Uri $url = Uri.parse('/api/reports/orgs/${org}/');
    final Map<String, dynamic> $params = <String, dynamic>{'owner': owner};
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<List<ReportList>, ReportList>($request);
  }

  @override
  Future<Response<ReportDetail>> _apiReportsOrgsOrgTaskIdGet({
    required String? org,
    String? owner,
    required String? taskId,
  }) {
    final Uri $url = Uri.parse('/api/reports/orgs/${org}/${taskId}');
    final Map<String, dynamic> $params = <String, dynamic>{'owner': owner};
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<ReportDetail, ReportDetail>($request);
  }

  @override
  Future<Response<ReportCreate>> _apiReportsOrgsOrgNewPost({
    required String? org,
    required ReportRequest? body,
  }) {
    final Uri $url = Uri.parse('/api/reports/orgs/${org}/new');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<ReportCreate, ReportCreate>($request);
  }

  @override
  Future<Response<DesiredRole>>
      _apiRolesPlatformOrgsOrgRolesUsersUsernameDesiredRolesGet({
    required String? org,
    required String? username,
  }) {
    final Uri $url = Uri.parse(
        '/api/roles/platform/orgs/${org}/roles/users/${username}/desired-roles/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<DesiredRole, DesiredRole>($request);
  }

  @override
  Future<Response<ReportedRole>>
      _apiRolesPlatformOrgsOrgRolesUsersUsernameReportedRolesGet({
    required String? org,
    required String? username,
  }) {
    final Uri $url = Uri.parse(
        '/api/roles/platform/orgs/${org}/roles/users/${username}/reported-roles/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<ReportedRole, ReportedRole>($request);
  }

  @override
  Future<Response<Object>> _apiSchemaGet({
    String? format,
    String? lang,
  }) {
    final Uri $url = Uri.parse('/api/schema/');
    final Map<String, dynamic> $params = <String, dynamic>{
      'format': format,
      'lang': lang,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<Object, Object>($request);
  }

  @override
  Future<Response<List<SkillInfo>>> _apiSkillsOrgsOrgSkillsGet(
      {required String? org}) {
    final Uri $url = Uri.parse('/api/skills/orgs/${org}/skills');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<List<SkillInfo>, SkillInfo>($request);
  }

  @override
  Future<Response<PointsPercentile>>
      _apiSkillsOrgsOrgSkillsSkillIdPercentileGet({
    required String? org,
    required int? skillId,
  }) {
    final Uri $url =
        Uri.parse('/api/skills/orgs/${org}/skills/${skillId}/percentile/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<PointsPercentile, PointsPercentile>($request);
  }

  @override
  Future<Response<SkillDetail>> _apiSkillsOrgsOrgSkillsSkillNameGet({
    required String? org,
    required String? skillName,
  }) {
    final Uri $url = Uri.parse('/api/skills/orgs/${org}/skills/${skillName}/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<SkillDetail, SkillDetail>($request);
  }

  @override
  Future<Response<List<PointsPercentile>>> _apiSkillsOrgsOrgSkillsPercentileGet(
      {required String? org}) {
    final Uri $url = Uri.parse('/api/skills/orgs/${org}/skills/percentile/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<List<PointsPercentile>, PointsPercentile>($request);
  }

  @override
  Future<Response<SkillThreshold>> _apiSkillsOrgsOrgSkillsThresholdsGet(
      {required String? org}) {
    final Uri $url = Uri.parse('/api/skills/orgs/${org}/skills/thresholds/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<SkillThreshold, SkillThreshold>($request);
  }

  @override
  Future<Response<SkillThreshold>> _apiSkillsOrgsOrgSkillsThresholdsPost({
    required String? org,
    required SkillThreshold? body,
  }) {
    final Uri $url = Uri.parse('/api/skills/orgs/${org}/skills/thresholds/');
    final $body = body;
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<SkillThreshold, SkillThreshold>($request);
  }

  @override
  Future<Response<SkillThreshold>> _apiSkillsOrgsOrgSkillsThresholdsPatch({
    required String? org,
    required PatchedSkillThreshold? body,
  }) {
    final Uri $url = Uri.parse('/api/skills/orgs/${org}/skills/thresholds/');
    final $body = body;
    final Request $request = Request(
      'PATCH',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<SkillThreshold, SkillThreshold>($request);
  }

  @override
  Future<Response<dynamic>> _apiSkillsOrgsOrgSkillsThresholdsDelete(
      {required String? org}) {
    final Uri $url = Uri.parse('/api/skills/orgs/${org}/skills/thresholds/');
    final Request $request = Request(
      'DELETE',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<UserSkill>> _apiSkillsOrgsOrgSkillsUsersUserIdGet({
    required String? org,
    required String? userId,
  }) {
    final Uri $url =
        Uri.parse('/api/skills/orgs/${org}/skills/users/${userId}/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<UserSkill, UserSkill>($request);
  }

  @override
  Future<Response<DesiredSkill>>
      _apiSkillsOrgsOrgSkillsUsersUserIdDesiredSkillsGet({
    required String? org,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/skills/orgs/${org}/skills/users/${userId}/desired-skills/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<DesiredSkill, DesiredSkill>($request);
  }

  @override
  Future<Response<UserSkillPointsPercentile>>
      _apiSkillsOrgsOrgSkillsUsersUserIdPointPercentileGet({
    required String? org,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/skills/orgs/${org}/skills/users/${userId}/point-percentile/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client
        .send<UserSkillPointsPercentile, UserSkillPointsPercentile>($request);
  }

  @override
  Future<Response<ReportedSkill>>
      _apiSkillsOrgsOrgSkillsUsersUserIdReportedSkillsGet({
    required String? org,
    required String? userId,
  }) {
    final Uri $url = Uri.parse(
        '/api/skills/orgs/${org}/skills/users/${userId}/reported-skills/');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<ReportedSkill, ReportedSkill>($request);
  }
}
