// Generated code

part of 'ibl_web_pro.swagger.dart';

// **************************************************************************
// ChopperGenerator
// **************************************************************************

// ignore_for_file: always_put_control_body_on_new_line, always_specify_types, prefer_const_declarations, unnecessary_brace_in_string_interps
class _$IblWebPro extends IblWebPro {
  _$IblWebPro([ChopperClient? client]) {
    if (client == null) return;
    this.client = client;
  }

  @override
  final definitionType = IblWebPro;

  @override
  Future<Response<dynamic>> _apiIblV1UsersPost() {
    final Uri $url = Uri.parse('/api/ibl/v1/users');
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserUpdatePost() {
    final Uri $url = Uri.parse('/api/ibl/v1/user/update');
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1CheckoutSessionCreatePost({
    String? sessionUrl,
    String? cancelUrl,
    dynamic price,
    String? mode,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/checkout/session/create');
    final $body = <String, dynamic>{
      'session_url': sessionUrl,
      'cancel_url': cancelUrl,
      'price': price,
      'mode': mode,
    };
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1StripeProductsGet() {
    final Uri $url = Uri.parse('/api/ibl/v1/stripe/products');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1StripeProductPriceGet(
      {String? productId}) {
    final Uri $url = Uri.parse('/api/ibl/v1/stripe/product/price');
    final Map<String, dynamic> $params = <String, dynamic>{
      'productId': productId
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1StripeSessionGet({String? sessionId}) {
    final Uri $url = Uri.parse('/api/ibl/v1/stripe/session');
    final Map<String, dynamic> $params = <String, dynamic>{
      'sessionId': sessionId
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1StripeProductGet({String? productId}) {
    final Uri $url = Uri.parse('/api/ibl/v1/stripe/product');
    final Map<String, dynamic> $params = <String, dynamic>{
      'productId': productId
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1StripeWebhookPost() {
    final Uri $url = Uri.parse('/api/ibl/v1/stripe/webhook');
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1StripeCustomerIdGet() {
    final Uri $url = Uri.parse('/api/ibl/v1/stripe/customer/id');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1StripeProductPurchaseGet() {
    final Uri $url = Uri.parse('/api/ibl/v1/stripe/product/purchase');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1StripeTenantLaunchPost({
    String? username,
    String? email,
    String? password,
    String? firstname,
    String? lastname,
    String? role,
    String? key,
    String? name,
    String? themeName,
    String? paymentIntent,
    String? stripePriceId,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/stripe/tenant/launch');
    final $body = <String, dynamic>{
      'username': username,
      'email': email,
      'password': password,
      'firstname': firstname,
      'lastname': lastname,
      'role': role,
      'key': key,
      'name': name,
      'theme_name': themeName,
      'payment_intent': paymentIntent,
      'stripe_price_id': stripePriceId,
    };
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1StripeCustomerCreatePost({
    String? email,
    String? redirectUrl,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/stripe/customer/create');
    final $body = <String, dynamic>{
      'email': email,
      'redirect_url': redirectUrl,
    };
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1StripeCustomerPortalPost(
      {String? customerId}) {
    final Uri $url = Uri.parse('/api/ibl/v1/stripe/customer/portal');
    final $body = <String, dynamic>{'customer_id': customerId};
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1PathwayPost() {
    final Uri $url = Uri.parse('/api/ibl/v1/pathway');
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserCoursesGet({required int? userId}) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/courses');
    final Map<String, dynamic> $params = <String, dynamic>{'userId': userId};
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserProgressGet({required int? userId}) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/progress');
    final Map<String, dynamic> $params = <String, dynamic>{'userId': userId};
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1CourseMetadataGet(
      {required String? courseId}) {
    final Uri $url = Uri.parse('/api/ibl/v1/course/metadata');
    final Map<String, dynamic> $params = <String, dynamic>{
      'courseId': courseId
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1CourseMetadataSearchGet(
      {required String? courseId}) {
    final Uri $url = Uri.parse('/api/ibl/v1/course/metadata/search');
    final Map<String, dynamic> $params = <String, dynamic>{
      'courseId': courseId
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserCourseEnrollmentStatusGet(
      {String? courseId}) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/course/enrollment/status');
    final Map<String, dynamic> $params = <String, dynamic>{
      'courseId': courseId
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1CourseOutlineGet({
    String? username,
    String? courseId,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/course/outline');
    final Map<String, dynamic> $params = <String, dynamic>{
      'username': username,
      'courseId': courseId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1CourseIframeUrlGet({
    required String? xblockId,
    required String? lmsUrl,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/course/iframe-url');
    final Map<String, dynamic> $params = <String, dynamic>{
      'xblockId': xblockId,
      'lmsUrl': lmsUrl,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1CourseCreatePost({
    String? org,
    int? number,
    String? run,
    String? name,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/course/create');
    final $body = <String, dynamic>{
      'org': org,
      'number': number,
      'run': run,
      'name': name,
    };
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserCourseEnrollPost() {
    final Uri $url = Uri.parse('/api/ibl/v1/user/course/enroll');
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1CourseIframeAuthTokenPost({String? url}) {
    final Uri $url = Uri.parse('/api/ibl/v1/course/iframe-auth-token');
    final $body = <String, dynamic>{'url': url};
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserCourseUnenrollPost(
      {String? courseId}) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/course/unenroll');
    final $body = <String, dynamic>{'course_id': courseId};
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1AttendanceUserCourseBlockPost({
    required String? blockId,
    required bool? attended,
    required String? user,
    required String? courseId,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/attendance/user/course/block');
    final $body = <String, dynamic>{
      'block_id': blockId,
      'attended': attended,
      'user': user,
      'course_id': courseId,
    };
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserGradeProgressGet({
    int? userId,
    String? courseId,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/grade/progress');
    final Map<String, dynamic> $params = <String, dynamic>{
      'userId': userId,
      'courseId': courseId,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1MfeContextGet() {
    final Uri $url = Uri.parse('/api/ibl/v1/mfe-context');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserProgramsGet(
      {required String? userId}) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/programs');
    final Map<String, dynamic> $params = <String, dynamic>{'userId': userId};
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1CredentialsIssuedGet(
      {String? requestedUsername}) {
    final Uri $url = Uri.parse('/api/ibl/v1/credentials/issued');
    final Map<String, dynamic> $params = <String, dynamic>{
      'requestedUsername': requestedUsername
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1AuthenticationRegisterUserPost({
    String? username,
    String? email,
    String? name,
    String? password,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/authentication/register-user');
    final $body = <String, dynamic>{
      'username': username,
      'email': email,
      'name': name,
      'password': password
    };
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1AuthenticationLoginPost({
    String? username,
    String? password,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/authentication/login');
    final $body = <String, dynamic>{
      'username': username,
      'password': password,
    };
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1AuthenticationForgetPasswordPost(
      {String? email}) {
    final Uri $url = Uri.parse('/api/ibl/v1/authentication/forget-password');
    final $body = <String, dynamic>{'email': email};
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1AuthenticationResetPasswordPost({
    String? password,
    String? resetPasswordToken,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/authentication/reset-password');
    final $body = <String, dynamic>{
      'password': password,
      'reset_password_token': resetPasswordToken,
    };
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1AuthenticationLogoutPost() {
    final Uri $url = Uri.parse('/api/ibl/v1/authentication/logout');
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1AuthenticationInvitationGet(
      {required String? email}) {
    final Uri $url = Uri.parse('/api/ibl/v1/authentication/invitation');
    final Map<String, dynamic> $params = <String, dynamic>{'email': email};
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UsersManagePost({
    required String? username,
    required String? email,
    String? name,
    String? password,
    String? provider,
    String? tpaUid,
    bool? isStaff,
    bool? isActive,
    bool? update,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/users/manage');
    final $body = <String, dynamic>{
      'username': username,
      'email': email,
      'name': name,
      'password': password,
      'provider': provider,
      'tpa_uid': tpaUid,
      'is_staff': isStaff,
      'is_active': isActive,
      'update': update,
    };
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UsersManageMetadataPost({
    String? username,
    String? userId,
    String? email,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/users/manage/metadata');
    final $body = <String, dynamic>{
      'username': username,
      'user_id': userId,
      'email': email,
    };
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UsersManageMetadataGet({
    String? username,
    String? userId,
    String? email,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/users/manage/metadata');
    final Map<String, dynamic> $params = <String, dynamic>{
      'username': username,
      'userId': userId,
      'email': email,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UsersManageForgotPasswordPost() {
    final Uri $url = Uri.parse('/api/ibl/v1/users/manage/forgot-password');
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1PlatformUsersGet() {
    final Uri $url = Uri.parse('/api/ibl/v1/platform/users');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserPlatformLinkPost({String? username}) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/platform/link');
    final $body = <String, dynamic>{'username': username};
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserPlatformInvitePost({
    String? platformKey,
    String? username,
    String? email,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/platform/invite');
    final $body = <String, dynamic>{
      'platform_key': platformKey,
      'username': username,
      'email': email,
    };
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserCourseInvitePost({
    String? courseId,
    String? username,
    String? email,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/course/invite');
    final $body = <String, dynamic>{
      'course_id': courseId,
      'username': username,
      'email': email,
    };
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserProgramInvitePost({
    String? programKey,
    String? username,
    String? email,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/program/invite');
    final $body = <String, dynamic>{
      'program_key': programKey,
      'username': username,
      'email': email,
    };
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserDataPublicGet({String? username}) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/data/public');
    final Map<String, dynamic> $params = <String, dynamic>{
      'username': username
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1AxdLearnerTokenGet({String? tenant}) {
    final Uri $url = Uri.parse('/api/ibl/v1/axd/learner-token');
    final Map<String, dynamic> $params = <String, dynamic>{'tenant': tenant};
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1TenantPublicConfigGet() {
    final Uri $url = Uri.parse('/api/ibl/v1/tenant/public-config');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1TenantNameGet() {
    final Uri $url = Uri.parse('/api/ibl/v1/tenant/name');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1GetCustomCssGet() {
    final Uri $url = Uri.parse('/api/ibl/v1/get-custom-css');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1CertificateTemplateGet() {
    final Uri $url = Uri.parse('/api/ibl/v1/certificate/template');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1GetCustomRegistrationFieldsGet() {
    final Uri $url = Uri.parse('/api/ibl/v1/get-custom-registration-fields');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1PlatformConfigUpdatePost({
    String? key,
    String? value,
    String? fieldKey,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/platform/config/update');
    final $body = <String, dynamic>{
      'key': key,
      'value': value,
      'field_key': fieldKey,
    };
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1MatomoAdminTokenGet({String? tenant}) {
    final Uri $url = Uri.parse('/api/ibl/v1/matomo-admin-token');
    final Map<String, dynamic> $params = <String, dynamic>{'tenant': tenant};
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1SendEmailPost() {
    final Uri $url = Uri.parse('/api/ibl/v1/send-email');
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1PlatformInvitationsGet({
    String? tenant,
    int? page,
    int? pageSize,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/platform/invitations');
    final Map<String, dynamic> $params = <String, dynamic>{
      'tenant': tenant,
      'page': page,
      'pageSize': pageSize,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1CourseInvitationsGet({
    int? page,
    int? pageSize,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/course/invitations');
    final Map<String, dynamic> $params = <String, dynamic>{
      'page': page,
      'pageSize': pageSize,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1ProgramInvitationsGet({
    int? page,
    int? pageSize,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/program/invitations');
    final Map<String, dynamic> $params = <String, dynamic>{
      'page': page,
      'pageSize': pageSize,
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserPlatformBulkInvitePost({
    required String? programKey,
    String? source,
    int? count,
    String? invitationData,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/platform/bulk/invite');
    final $body = <String, dynamic>{
      'program_key': programKey,
      'source': source,
      'count': count,
      'invitation_data': invitationData,
    };
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserCourseBulkInvitePost({
    required String? courseId,
    String? source,
    int? count,
    String? invitationData,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/course/bulk/invite');
    final $body = <String, dynamic>{
      'course_id': courseId,
      'source': source,
      'count': count,
      'invitation_data': invitationData,
    };
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserProgramBulkInvitePost({
    required String? programKey,
    String? source,
    int? count,
    String? invitationData,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/program/bulk/invite');
    final $body = <String, dynamic>{
      'program_key': programKey,
      'source': source,
      'count': count,
      'invitation_data': invitationData,
    };
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserPlatformRedeemPost({
    required String? platformKey,
    String? source,
    String? username,
    String? email,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/platform/redeem');
    final $body = <String, dynamic>{
      'platform_key': platformKey,
      'source': source,
      'username': username,
      'email': email,
    };
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserCourseRedeemPost({
    required String? courseId,
    String? source,
    String? username,
    String? email,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/course/redeem');
    final $body = <String, dynamic>{
      'course_id': courseId,
      'source': source,
      'username': username,
      'email': email,
    };
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserProgramRedeemPost({
    required String? programKey,
    String? source,
    String? username,
    String? email,
  }) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/program/redeem');
    final $body = <String, dynamic>{
      'program_key': programKey,
      'source': source,
      'username': username,
      'email': email,
    };
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserPlatformLinksGet({String? username}) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/platform-links');
    final Map<String, dynamic> $params = <String, dynamic>{
      'username': username
    };
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserProgramUpdateStatusPost(
      {String? userId}) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/program/update-status');
    final $body = <String, dynamic>{'user_id': userId};
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserSkillsGet({required String? userId}) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/skills');
    final Map<String, dynamic> $params = <String, dynamic>{'userId': userId};
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserSkillsSelfReportedGet(
      {required String? userId}) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/skills/self-reported');
    final Map<String, dynamic> $params = <String, dynamic>{'userId': userId};
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
      parameters: $params,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserSkillsSelfReportedPost(
      {required String? userId}) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/skills/self-reported');
    final $body = <String, dynamic>{'user_id': userId};
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1OrgSkillsGet() {
    final Uri $url = Uri.parse('/api/ibl/v1/org/skills');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1UserSkillsDesiredPost(
      {required String? userId}) {
    final Uri $url = Uri.parse('/api/ibl/v1/user/skills/desired');
    final $body = <String, dynamic>{'user_id': userId};
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
      body: $body,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1GetPathwayGet() {
    final Uri $url = Uri.parse('/api/ibl/v1/get-pathway');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1CreatePathwayPost() {
    final Uri $url = Uri.parse('/api/ibl/v1/create-pathway');
    final Request $request = Request(
      'POST',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1GetUserPathwaysGet() {
    final Uri $url = Uri.parse('/api/ibl/v1/get-user-pathways');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1OrgSearchGet() {
    final Uri $url = Uri.parse('/api/ibl/v1/org-search');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }

  @override
  Future<Response<dynamic>> _apiIblV1GetOrgSkillsGet() {
    final Uri $url = Uri.parse('/api/ibl/v1/get-org-skills');
    final Request $request = Request(
      'GET',
      $url,
      client.baseUrl,
    );
    return client.send<dynamic, dynamic>($request);
  }
}
